export interface IRepository<T> {
  findAll(params?: any, include?: any): Promise<T[]>;
  findOne(where: any, include?: any): Promise<T>;
  findOneByUuid(uuid: string, include?: any): Promise<T>;
  create(entity: Partial<T> | any, include?: any): Promise<T>;
  update(uuid: string, entity: Partial<T>, include?: any): Promise<T>;
  updateWhere(where: any, entity: Partial<T> | any, include?: any): Promise<T>;
  delete(uuid: string): Promise<void>;
}
